## pyensembl 2.2.4+ds

=== requirements.txt ===
typechecks>=0.0.2
datacache>=1.1.4
memoized-property>=1.0.2
tinytimer
gtfparse>=1.3.0,<2.0.0
serializable
nose>=1.3.3
pylint>=1.4.4

## pyensembl 1.9.4+ds

=== debian/changelog ===
pyensembl (1.9.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 19:56:10 +0200

pyensembl (1.9.1+ds-1) unstable; urgency=medium

  [ Steffen Moeller, Nilesh Patra ]
  * Initial release (Closes: #988822)

 -- Steffen Moeller <moeller@debian.org>  Fri, 21 May 2021 23:17:37 +0530

=== debian/control ===
Source: pyensembl
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-pandas,
               python3-numpy,
               python3-datacache,
               python3-serializable,
               python3-memoized-property,
               python3-gtfparse
#              python3-tinytimer # only run during tests that are not run because of
#              demand for internet access
Standards-Version: 4.6.0
Homepage: https://github.com/openvax/pyensembl
Vcs-Browser: https://salsa.debian.org/med-team/pyensembl
Vcs-Git: https://salsa.debian.org/med-team/pyensembl.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: pyensembl
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: installs data from the Ensembl genome database
 The Ensembl genome database is an established reference
 for genomic sequences and their automated annotation.
 To have this data local has advantages for bulk analyses,
 e.g. for the mapping of reads from RNA-seq against the
 latest golden path - or a previous one to compare analyses.
 .
 This package provides a reproducible way to insatll this
 data and thus simplify the automation of respective
 workflows.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=pyensembl

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f pyensembl.egg-info/SOURCES.txt pyensembl.egg-info/requires.txt

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,compression=xz,dversionmangle=auto" \
https://pypi.debian.net/pyensembl/pyensembl-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyensembl 2.0.0+ds

=== debian/changelog ===
pyensembl (2.0.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Mon, 02 May 2022 21:38:58 +0200

## pyensembl 2.1.0+ds

=== debian/changelog ===
pyensembl (2.1.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Lance Lin <lqi254@protonmail.com>  Fri, 04 Nov 2022 19:36:11 +0700

pyensembl (2.0.1+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * d/control: add myself to uploaders.
  * d/copyright: update copyright year.

 -- Étienne Mollier <emollier@debian.org>  Wed, 31 Aug 2022 20:10:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-setuptools,
@@ -15,7 +16,7 @@
                python3-gtfparse
 #              python3-tinytimer # only run during tests that are not run because of
 #              demand for internet access
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/openvax/pyensembl
 Vcs-Browser: https://salsa.debian.org/med-team/pyensembl
 Vcs-Git: https://salsa.debian.org/med-team/pyensembl.git

## pyensembl 2.2.4%2Bds

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f pyensembl.egg-info/SOURCES.txt pyensembl.egg-info/requires.txt
+
+override_dh_install:
+	dh_install
+	find debian -name requirements.txt -delete

## pyensembl 2.2.4+ds

=== debian/changelog ===
pyensembl (2.2.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Do not install requirements.txt

 -- Andreas Tille <tille@debian.org>  Sun, 25 Dec 2022 22:51:39 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-gtfparse
 #              python3-tinytimer # only run during tests that are not run because of
 #              demand for internet access
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/openvax/pyensembl
 Vcs-Browser: https://salsa.debian.org/med-team/pyensembl
 Vcs-Git: https://salsa.debian.org/med-team/pyensembl.git

## pyensembl 2.2.8+ds

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 serializable
 nose>=1.3.3
 pylint>=1.4.4
+pandas>=1.3.5

=== debian/changelog ===
pyensembl (2.2.8+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/copyright: Update year to 2023

 -- Lance Lin <lq27267@gmail.com>  Tue, 25 Jul 2023 23:04:16 +0700

## pyensembl 2.3.9

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyensembl.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyensembl.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyensembl"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyensembl"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pyensembl (2.3.9-2) unstable; urgency=medium

  * d/t/run-unit-test: update test directory name.
    Put manual autopkgtest back in working conditions.

 -- Étienne Mollier <emollier@debian.org>  Wed, 28 Feb 2024 22:01:31 +0100

pyensembl (2.3.9-1) unstable; urgency=medium

  * New upstream version 2.3.9
  * d/watch: move upstream source from pypi to github.
    pypi is lacking the data files necessary to run the test suite.
  * d/rules: update test skipping syntax to pytest.
  * skip-benchmark.patch: skip a possibly flaky test.
  * d/rules: reintroduce tests not needing Internet.
  * d/control: activate autopkgtest-pkg-pybuild.
    This appends support for the test suite not needing Internet, in
    addition to the other segments that do need it.

 -- Étienne Mollier <emollier@debian.org>  Wed, 28 Feb 2024 20:09:12 +0100

pyensembl (2.2.9+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/rules: Run source unittests during build
  * d/tests/*: Add autopkgtest for source unittests
  * d/control: Add python3-pytest and python3-nose to Build-Depends
               Remove Testsuite: autopkgtest-pkg-python
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Lance Lin <lq27267@gmail.com>  Thu, 04 Jan 2024 19:47:38 +0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-setuptools,
                python3-all,
                python3-pandas,
@@ -13,15 +13,17 @@
                python3-datacache,
                python3-serializable,
                python3-memoized-property,
-               python3-gtfparse
+               python3-gtfparse,
+               python3-nose <!nocheck>,
+               python3-pytest <!nocheck>,
 #              python3-tinytimer # only run during tests that are not run because of
 #              demand for internet access
 Standards-Version: 4.6.2
 Homepage: https://github.com/openvax/pyensembl
 Vcs-Browser: https://salsa.debian.org/med-team/pyensembl
 Vcs-Git: https://salsa.debian.org/med-team/pyensembl.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: pyensembl
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-all, python3-nose, python3-pytest, pyensembl
Restrictions: needs-internet

## pyensembl 2.3.13

=== requirements.txt ===
typechecks>=0.0.2,<1.0.0
datacache>=1.4.0,<2.0.0
memoized-property>=1.0.2
tinytimer>=0.0.0,<1.0.0
gtfparse>=2.5.0,<3.0.0
serializable>=0.2.1,<1.0.0
pylint>=2.17.2,<3.0.0

=== debian/changelog ===
pyensembl (2.3.13-3) unstable; urgency=medium

  * Need to remove tinytimer from resources.txt to avoid error message
    at runtime checking dependencies.
  * Standards-Version: 4.7.2

 -- Steffen Moeller <moeller@debian.org>  Fri, 01 Aug 2025 18:41:38 +0100

pyensembl (2.3.13-2) unstable; urgency=medium

  * Team upload.
  * Add explicit runtime dependency on python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 23:00:28 +0100

pyensembl (2.3.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Drop extraneous dependency on python3-nose

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 May 2024 18:46:14 +0200

pyensembl (2.3.12-1) unstable; urgency=medium

  * New upstream version 2.3.12
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Apr 2024 13:35:52 +0200

pyensembl (2.3.11-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Mar 2024 12:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,10 @@
                python3-serializable,
                python3-memoized-property,
                python3-gtfparse,
-               python3-nose <!nocheck>,
                python3-pytest <!nocheck>,
-#              python3-tinytimer # only run during tests that are not run because of
+#              python3-tinytimer <!nocheck> # only run during tests that are not run because of
 #              demand for internet access
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/openvax/pyensembl
 Vcs-Browser: https://salsa.debian.org/med-team/pyensembl
 Vcs-Git: https://salsa.debian.org/med-team/pyensembl.git
@@ -27,7 +26,10 @@
 
 Package: pyensembl
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends:
+ python3-pkg-resources,
+ ${python3:Depends},
+ ${misc:Depends},
 Description: installs data from the Ensembl genome database
  The Ensembl genome database is an established reference
  for genomic sequences and their automated annotation.
@@ -35,6 +37,6 @@
  e.g. for the mapping of reads from RNA-seq against the
  latest golden path - or a previous one to compare analyses.
  .
- This package provides a reproducible way to insatll this
+ This package provides a reproducible way to install this
  data and thus simplify the automation of respective
  workflows.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,27 @@
 export DH_VERBOSE = 1
 export PYBUILD_NAME=pyensembl
 
+# See d/tests/control for why the following tests are ignored:
+export PYBUILD_TEST_ARGS = -v \
+	-k 'not test_download_cache.py \
+	and not test_gene_ids.py \
+	and not test_gene_names.py \
+	and not test_gene_objects.py \
+	and not test_id_length.py \
+	and not test_search.py \
+	and not test_serialization.py \
+	and not test_transcript_ids.py \
+	and not test_transcript_objects.py \
+	and not test_contigs.py \
+	and not test_exon_id.py \
+	and not test_exon_object.py \
+	and not test_string_representation.py \
+	and not test_timings.py \
+	and not test_transcript_sequences.py \
+	and not test_transcript_support_level.py'
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-all, python3-pytest, pyensembl
Restrictions: needs-internet

=== debian/watch ===
version=4
opts="mode=git, repack, repacksuffix=+ds, dversionmangle=auto" \
https://github.com/openvax/pyensembl.git \
refs/tags/v?@ANY_VERSION@
